[mythtv] Compiling tips on Debian Unstable

Ray maillists at sonictech.net
Sat Oct 11 13:43:28 EDT 2003

On Fri, Oct 10, 2003 at 06:47:04PM -0500, Nathan Poznick wrote:
> Thus spake Ray:
> > Short version:
> > 
> > I just updated from Debian Stable to Unstable and I'm having some problems. 
> > I would like to know if there are any hints (gcc versions to avoid etc).
> Short answer:  If you're using 0.11, why not just use Matt's excellent
> Debian packages?

Mainly because he doesn't have Mythvideo packaged and I'm not sure if I can
mix and match his packages with packages I build myself since they
put things in different places.  Also I was planning to re-compile later,
once it's working correctly, with athlon-xp opts. so I'll still need to make
sure I'm using the correct gcc qt-dev  etc.

I've been compiling Myth manually since 0.6 or so without problems but this
was with the stable version of Debian.  Unfortunately Mythmusic became
un-compilable (required dependencies that couldn't easily be installed) on
the stable version of Debian around 0.8 or 0.10.  The unstable version of
Debian has many more versions of gcc and the various libs and it's not
obvious to me which ones are correct for compiling Myth.


> deb http://dijkstra.csh.rit.edu/~mdz/debian unstable mythtv
> deb-src http://dijkstra.csh.rit.edu/~mdz/debian unstable mythtv
> -- 
> Nathan Poznick <poznick at conwaycorp.net>
> Agitation is the marshalling of the conscience of a nation to mold its
> laws. -Robert Peel

> _______________________________________________
> mythtv-dev mailing list
> mythtv-dev at mythtv.org
> http://mythtv.org/cgi-bin/mailman/listinfo/mythtv-dev

More information about the mythtv-dev mailing list